## org.apache.commons.math3.util
Class IterationEvent

    java.lang.Object
      java.util.EventObject
          org.apache.commons.math3.util.IterationEvent

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IterativeLinearSolverEvent

    public class IterationEvent

extends java.util.EventObject

The root class from which all events occurring while running an `IterationManager` should be derived.

Version:
  $Id: IterationEvent.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Field Summary
`private int` `iterations` The number of iterations performed so far.
`private static long` `serialVersionUID`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`IterationEvent(java.lang.Object source, int iterations)` Creates a new instance of this class.

Method Summary
`int` `getIterations()` Returns the number of iterations performed at the time `this` event is created.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### iterations

    private final int iterations

  The number of iterations performed so far.

Constructor Detail

### IterationEvent

    public IterationEvent(java.lang.Object source,
                          int iterations)

  Creates a new instance of this class.

  Parameters:
    `source` - the iterative algorithm on which the event initially occurred
    `iterations` - the number of iterations performed at the time `this` event is created

Method Detail

### getIterations

    public int getIterations()

  Returns the number of iterations performed at the time `this` event is created.

  Returns:
    the number of iterations performed

Copyright (c) 2003-2013 Apache Software Foundation